
package de.ivu.elect.presentation.gebietsbaum.menu;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import javax.inject.Inject;

import de.ivu.elect.jee.presentation.menu.MenuEntry;

public class GebietSearchMenuBuilder implements Serializable {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient GebietCreateMenuItemEntry gebietCreateMenuItemEntry;

  @Inject
  private transient GebietSortierenMenuItemEntry gebietSortierenMenuItemEntry;

  public GebietSearchMenuBuilder() {
    super();
  }

  public List<MenuEntry> getMenuEntriesSorted() {
    List<MenuEntry> result = new ArrayList<>();

    result.add(gebietSortierenMenuItemEntry);

    result.add(gebietCreateMenuItemEntry);

    return result;
  }
}
